ALTER TABLE MENU
  ADD MENU_PICTURE BLOB
;

ALTER TABLE MENU
  ADD FILE_EXTENSION VARCHAR2(30 CHAR)
;

DROP VIEW V_MENU
;

CREATE OR REPLACE VIEW V_MENU AS (
	SELECT M.ID, M.MENU_DATE, M.MENU_NAME, M.MENU_DESCRIPTION, M.MENU_PRICE, M.ID_FILE_DATA, M.ACT, M.NNLOCATION_ID, M.MENU_PICTURE, M.FILE_EXTENSION,
	FD.NAME AS FILE_DATA_NAME, FD.EXTENSION AS FILE_DATA_EXTENSION, FD.DATA AS FILE_DATA_DATA
	FROM MENU M
  LEFT OUTER JOIN FILE_DATA FD ON FD.ID_FILE_DATA = M.ID_FILE_DATA
)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1901, SYSDATE, '5.5', 1821, 'Menu')
;
