CREATE TABLE REZERVAC_VISH 
   (	ID_LASTNIKA NUMBER NOT NULL ENABLE, 
	ID_PLOVILA NUMBER NOT NULL ENABLE, 
	ID NUMBER NOT NULL ENABLE, 
	DATUM_REZERVACIJE DATE, 
	DOLZINA NUMBER, 
	SIRINA  NUMBER, 
	GREZ    NUMBER, 
	NOBJEKT VARCHAR2(8 CHAR), 
	PRIVEZ VARCHAR2(6 CHAR), 
	KOMENTAR VARCHAR2(255 CHAR), 
	STORNO VARCHAR2(1 CHAR), 
	USER_KREIRANJA VARCHAR2(20 CHAR), 
	DATUM_KREIRANJA DATE, 
	USER_SPREMEMBE VARCHAR2(20 CHAR), 
	DATUM_SPREMEMBE DATE, 
	PRIMARY KEY (ID_LASTNIKA, ID_PLOVILA, ID)
);

CREATE TABLE REZERVAC_TRANSFER AS SELECT * FROM REZERVAC;

INSERT INTO REZERVAC_VISH (ID_LASTNIKA, ID_PLOVILA, ID, DATUM_REZERVACIJE, DOLZINA, NOBJEKT, PRIVEZ, 
KOMENTAR, STORNO, USER_KREIRANJA, DATUM_KREIRANJA, USER_SPREMEMBE, DATUM_SPREMEMBE) 
SELECT ID_LASTNIKA, ID_PLOVILA, ID, DATUM_REZERVACIJE, DOLZINA, NOBJEKT, PRIVEZ, 
KOMENTAR, STORNO, USER_KREIRANJA, DATUM_KREIRANJA, USER_SPREMEMBE, DATUM_SPREMEMBE FROM REZERVAC WHERE DATUM_DO IS NULL;

DELETE FROM REZERVAC WHERE DATUM_DO IS NULL;

ALTER TABLE REZERVAC DROP PRIMARY KEY;

ALTER TABLE REZERVAC MODIFY ID_PLOVILA NUMBER NULL;

ALTER TABLE REZERVAC
ADD CONSTRAINT PK_REZERVAC primary key (ID);

INSERT INTO MARINA_SEQUENCES (TABLENAME, FIELDNAME, SEQUENCE_NAME, COUNTER_TYPE, CHECKED)
VALUES ('REZERVAC_VISH', 'ID', 'REZERVAC_VISH_SEQ', 'S_KLJUCI', 'N');

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(407, SYSDATE, '5.5', 327, 'REZERVAC_VISH predelava');