CREATE TABLE BATCH (
ID_BATCH NUMBER NOT NULL,
DATUM DATE NOT NULL,
UPORABNIK VARCHAR2(20 CHAR),
DT_CREATE DATE,
DATE_FROM DATE,
DATE_TO DATE,
CONSTRAINT BATCH_PK PRIMARY KEY (ID_BATCH)
);

CREATE SEQUENCE BATCH_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE OR REPLACE VIEW V_PORTRETI_KUPCEV AS 
SELECT D.*
FROM 
(SELECT ID_KUPCA, MAX(ID_DATOTEKE_KUPCEV) AS ID_DATOTEKE_KUPCEV FROM DATOTEKE_KUPCEV WHERE VRSTA='POR' GROUP BY ID_KUPCA) I
JOIN DATOTEKE_KUPCEV D ON I.ID_DATOTEKE_KUPCEV=D.ID_DATOTEKE_KUPCEV;

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(466, SYSDATE, '5.5', 386, 'View portreti');