ALTER TABLE KONT_OSB_PLOVILA
ADD CO_OWNER VARCHAR2(1 CHAR);

CREATE OR REPLACE VIEW V_KONT_OSB_PLOVILA AS (
	SELECT P.ID_KONT_OSB_PLOVILA, P.ID_PLOVILA, P.ID_OSEBE, P.ODNOS, P.NOTE, P.PREFERRED, P.CO_OWNER,
  NNPK.OPIS AS ODNOS_OPIS, NNPK.INTERNI_OPIS AS ODNOS_INTERNI_OPIS,
  KUPCI_OSEBA.PRIIMEK AS OSEBA_PRIIMEK, KUPCI_OSEBA.IME AS OSEBA_IME, KUPCI_OSEBA.NASLOV AS OSEBA_NASLOV, KUPCI_OSEBA.MESTO AS OSEBA_MESTO, KUPCI_OSEBA.POSTA AS OSEBA_POSTA
	FROM KONT_OSB_PLOVILA P
  LEFT OUTER JOIN KUPCI KUPCI_OSEBA ON P.ID_OSEBE = KUPCI_OSEBA.ID
  LEFT OUTER JOIN NNODNOS_PLOVILA_KUPCI NNPK ON P.ODNOS = NNPK.SIFRA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (815, SYSDATE, '5.5', 735, 'CoOwner');